<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/llPageRoot"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/color_body_01"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

    <include layout="@layout/app_toolbar"/>

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                >

            <android.support.v4.widget.SwipeRefreshLayout
                    android:id="@+id/swiperefreshlayou"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:visibility="visible">

                <com.ntels.onecable.common.widget.CustomScrollView
                        android:id="@+id/svBody"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:fadingEdge="none">

                    <LinearLayout
                            android:id="@+id/llSvbody"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:paddingBottom="40dp">

                        <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:background="@drawable/color_bg_02"
                                android:gravity="center_vertical"
                                android:orientation="horizontal"
                                android:paddingBottom="20dp"
                                android:paddingLeft="15dp"
                                android:paddingRight="15dp"
                                android:paddingTop="20dp">

                            <ImageView
                                    android:id="@+id/ivRowBullet"
                                    android:layout_width="10dp"
                                    android:layout_height="10dp"
                                    android:layout_marginRight="5dp"
                                    android:background="@drawable/common_bullet_circle_red"/>

                            <TextView
                                    android:id="@+id/tvRulesName"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:includeFontPadding="false"
                                    android:text=""
                                    android:textColor="@color/color_text_04"
                                    android:textSize="@dimen/size_font_01"
                                    android:textStyle="bold"
                                    />

                        </LinearLayout>

                        <LinearLayout
                                android:id="@+id/llTrigger"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:paddingTop="15dp">

                            <LinearLayout
                                    android:id="@+id/llTriggerTitle"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="15dp">

                                <ImageView
                                        android:layout_width="15dp"
                                        android:layout_height="3dp"
                                        android:background="@drawable/common_bullet_line"/>

                                <TextView
                                        android:id="@+id/tvTriggerTitle"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="10dp"
                                        android:layout_weight="1"
                                        android:includeFontPadding="false"
                                        android:text="@string/layout_rules_detail_02"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_05"
                                        android:textStyle="bold"
                                        />

                            </LinearLayout>


                            <LinearLayout
                                    android:id="@+id/llTriggerBody"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">

                            </LinearLayout>


                            <View style="@style/width_section"/>
                        </LinearLayout>


                        <LinearLayout
                                android:id="@+id/llAction"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:paddingTop="15dp">


                            <LinearLayout
                                    android:id="@+id/llActionTitle"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="15dp">

                                <ImageView
                                        android:layout_width="15dp"
                                        android:layout_height="3dp"
                                        android:background="@drawable/common_bullet_line"/>

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="10dp"
                                        android:layout_weight="1"
                                        android:includeFontPadding="false"
                                        android:text="@string/layout_rules_detail_03"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_05"
                                        android:textStyle="bold"
                                        />

                            </LinearLayout>

                            <LinearLayout
                                    android:id="@+id/llActionBody"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">
                            </LinearLayout>


                            <View style="@style/width_section"/>
                        </LinearLayout>


                        <LinearLayout
                                android:id="@+id/llAlram"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:paddingTop="15dp">

                            <LinearLayout
                                    android:id="@+id/llAlramTitle"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="15dp">

                                <ImageView
                                        android:layout_width="15dp"
                                        android:layout_height="3dp"
                                        android:background="@drawable/common_bullet_line"/>

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="10dp"
                                        android:layout_weight="1"
                                        android:includeFontPadding="false"
                                        android:text="@string/layout_rules_detail_04"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_05"
                                        android:textStyle="bold"
                                        />

                            </LinearLayout>

                            <LinearLayout
                                    android:id="@+id/llAlramBody"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">
                            </LinearLayout>


                            <View style="@style/width_section"/>
                        </LinearLayout>


                        <LinearLayout
                                android:id="@+id/llCondition"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:background="@drawable/color_bg_01"
                                android:orientation="vertical"
                                android:paddingBottom="40dp"
                                android:paddingTop="20dp">

                            <LinearLayout
                                    android:id="@+id/llConditionTitle"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:duplicateParentState="true"
                                    android:gravity="center_vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingTop="20dp">

                                <ImageView
                                        android:layout_width="10dp"
                                        android:layout_height="10dp"
                                        android:layout_marginLeft="15dp"
                                        android:layout_marginRight="5dp"
                                        android:background="@drawable/common_bullet_circle_black"/>

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:includeFontPadding="false"
                                        android:text="@string/layout_rules_detail_05"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_05"
                                        android:textStyle="bold"
                                        />


                                <ImageView
                                        android:layout_width="wrap_content"
                                        android:layout_height="1dp"
                                        android:layout_marginLeft="10dp"
                                        android:layout_marginRight="65dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/color_line_02"/>

                            </LinearLayout>

                            <LinearLayout
                                    android:id="@+id/llConditionBody"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">

                                <LinearLayout
                                        android:id="@+id/llConditionBody1Title"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="center_vertical"
                                        android:paddingBottom="20dp"
                                        android:paddingLeft="30dp"
                                        android:paddingRight="15dp"
                                        android:paddingTop="20dp">

                                    <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1"
                                            android:includeFontPadding="false"
                                            android:text="@string/layout_rules_detail_06"
                                            android:textColor="@color/color_text_01"
                                            android:textSize="@dimen/size_font_02"
                                            android:textStyle="bold"
                                            />

                                </LinearLayout>

                                <LinearLayout
                                        android:id="@+id/llConditionBody1"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="10dp"
                                        android:layout_marginRight="10dp"
                                        android:orientation="vertical">
                                </LinearLayout>

                                <LinearLayout
                                        android:id="@+id/llConditionBody2Title"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="center_vertical"
                                        android:paddingBottom="20dp"
                                        android:paddingLeft="30dp"
                                        android:paddingRight="15dp"
                                        android:paddingTop="20dp">

                                    <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1"
                                            android:includeFontPadding="false"
                                            android:text="@string/layout_rules_detail_07"
                                            android:textColor="@color/color_text_01"
                                            android:textSize="@dimen/size_font_02"
                                            android:textStyle="bold"
                                            />

                                </LinearLayout>

                                <LinearLayout
                                        android:id="@+id/llConditionBody2"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="10dp"
                                        android:layout_marginRight="10dp"
                                        android:orientation="vertical">
                                </LinearLayout>

                                <LinearLayout
                                        android:id="@+id/llConditionBody3Title"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="center_vertical"
                                        android:paddingBottom="20dp"
                                        android:paddingLeft="30dp"
                                        android:paddingRight="15dp"
                                        android:paddingTop="20dp">

                                    <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1"
                                            android:includeFontPadding="false"
                                            android:text="@string/layout_rules_detail_08"
                                            android:textColor="@color/color_text_01"
                                            android:textSize="@dimen/size_font_02"
                                            android:textStyle="bold"
                                            />

                                </LinearLayout>

                                <LinearLayout
                                        android:id="@+id/llConditionBody3"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="10dp"
                                        android:layout_marginRight="10dp"
                                        android:orientation="vertical">
                                </LinearLayout>
                            </LinearLayout>

                        </LinearLayout>


                        <LinearLayout
                                android:id="@+id/llMore"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:paddingTop="15dp">

                            <LinearLayout
                                    android:id="@+id/llState"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="15dp">

                                <ImageView
                                        android:layout_width="10dp"
                                        android:layout_height="10dp"
                                        android:layout_marginRight="5dp"
                                        android:background="@drawable/common_bullet_circle_gray"/>

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:includeFontPadding="false"
                                        android:text="@string/layout_rules_detail_09"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_05"
                                        android:textStyle="bold"
                                        />

                                <Button
                                        android:id="@+id/btnOnOff"
                                        android:layout_width="60dp"
                                        android:layout_height="35dp"
                                        android:layout_marginRight="5dp"
                                        android:background="@drawable/d_img_rule_list_playbtn"
                                        android:visibility="visible"/>

                            </LinearLayout>

                            <TextView
                                    android:id="@+id/tvNotice"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:includeFontPadding="false"
                                    android:paddingBottom="20dp"
                                    android:paddingLeft="20dp"
                                    android:paddingRight="20dp"
                                    android:text="@string/layout_rules_detail_10"
                                    android:textColor="@color/color_text_02"
                                    android:textSize="@dimen/size_font_04"/>

                            <LinearLayout
                                    android:id="@+id/llLastActionTime"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="20dp">

                                <ImageView
                                        android:layout_width="10dp"
                                        android:layout_height="10dp"
                                        android:layout_marginRight="5dp"
                                        android:background="@drawable/common_bullet_circle_gray"/>

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:includeFontPadding="false"
                                        android:text="@string/layout_rules_detail_11"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_05"
                                        android:textStyle="bold"
                                        />

                                <TextView
                                        android:id="@+id/tvLastActionTime"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:includeFontPadding="false"
                                        android:text=""
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_04"
                                        />

                            </LinearLayout>

                        </LinearLayout>
                    </LinearLayout>
                </com.ntels.onecable.common.widget.CustomScrollView>
            </android.support.v4.widget.SwipeRefreshLayout>

        </LinearLayout>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="6dp"
                android:layout_alignParentTop="true"
                android:background="@drawable/shadow_top"/>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="7dp"
                android:layout_alignParentBottom="true"
                android:background="@drawable/shadow_bottom"/>
    </RelativeLayout>

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

        <View
                style="@style/width_Divider_02"/>

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/color_bg_01"
                android:gravity="center">

            <LinearLayout
                    android:id="@+id/llBtn1"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                <TextView
                        android:id="@+id/tvBtn1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:includeFontPadding="false"
                        android:text="@string/layout_close"
                        android:textColor="@drawable/d_font_color_font_01_color_font_02"
                        android:textSize="@dimen/size_font_05"
                        android:textStyle="bold"/>
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>

</LinearLayout>